/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package adresar;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.NoSuchElementException;
import java.util.Scanner;

/**
 *
 * @author petr
 */
public class ReadAdresar {

    /**
     * Formátovaný vstup z textového souboru.
     */
    private Scanner input;

    /**
     * Otevře soubor se záznamy.
     */
    public void openFile(String fileName) throws FileNotFoundException {
        input = new Scanner(new File(fileName));
    }

    /**
     * Zavře soubor.
     */
    public void closeFile() {
        if (input != null) {
            input.close();
        }
    }

    /**
     * Načte záznamy ze souboru a vytiskne je na obrazovku.
     */
    public void readRecords() throws NoSuchElementException, IllegalStateException {
        final int count = Adresar.getAttributesCount();
        int j = 0;
        while (input.hasNext()) {
            j++;
            Adresar adr = new Adresar();
            String[] attrs = new String[count];
            try {
                for (int i = 0; i < count; i++) {
                    attrs[i] = input.nextLine();
                }
            } catch (NoSuchElementException e) {
                System.err.println("Nepodařilo se načíst úplný záznam adresáře.");
                throw e;
            }
            adr.setAttributesAsStrings(attrs);
            System.out.printf("%2d) ",j);
            System.out.print(adr.toString());
        }
    }
}
